RoutesHooks module

Hooks routes

URLs the Hooks module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/hooks/add-hook/{category.id} addHook

Add a new record. Assigns an empty record to the template.

Path parameters category.id matches \d+

The admin template receives
VariableTypeDescription
$hook Hook Single (empty) Hook record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/hook/{id} editHook

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$hook Hook Retrieved Hook record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/ manageHooks

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$hooks Collection<Hook> Collection of Hooks

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/add-category addCategory

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$category Category Single (empty) Category record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/category/{id} editCategory

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$category Category Retrieved Category record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/categories manageCategories

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$categories Collection<Category> Collection of Categories

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/{hook.id}/actions manageActions

Retrieve available records and assign them to the template for editing.

Path parameters hook.id matches \d+

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/add-action/{type}/{hook.id}/{parent.id} addAction

Add a new record. Assigns an empty record to the template.

Path parameters type matches [a-zA-Z]+hook.id matches \d+parent.id matches \d+

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/action/{id} editAction

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/batches/{hook.id} manageBatches

Retrieve available records and assign them to the template for editing.

Path parameters hook.id matches \d+

The admin template receives
VariableTypeDescription
$batches Collection<Batch> Collection of Batches

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/batch-actions/{batch.id} manageBatchActions

Retrieve available records and assign them to the template for editing.

Path parameters batch.id matches \d+

The admin template receives
VariableTypeDescription
$batchActions Collection<BatchAction> Collection of BatchActions

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/hooks/batch-action/{id} editBatchAction

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$batchAction BatchAction Retrieved BatchAction record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.